package model

import com.fasterxml.jackson.annotation.JsonIgnoreProperties

/**
 * @ClassName: Item
 * @Description: TODO
 * @Create by: LinYoung
 * @Date: 2021/1/22 14:32
 */
@JsonIgnoreProperties(ignoreUnknown = true)
case class Item(
                 platform: Int, //商品平台
                 item_id: String, //商品id
                 item_name: String, //商品名称
                 item_desc: String, //商品描述
                 brand_name: String, //品牌名称
                 item_url: String, //商品链接
                 item_pic_url: String, //商品图片链接
                 item_volume: String, //商品销量
                 origin_category: String, //商品原始类目
                 origin_category_id: String, //商品原始类目id
                 new_category: String, //商品类目
                 new_category_id: String, //商品类目id
                 price: Double, //商品原价
                 coupon_price: Double, //商品券后价
                 commission_rate: Double, //佣金比例
                 coupon_commission: Double, //券后佣金
                 commission_start_time: Long, //计划开始时间
                 commission_end_time: Long, //计划结束时间
                 coupon_amount: Double, //优惠券额度
                 coupon_tips: String, //优惠券满减信息
                 coupon_count: Int, //优惠券数量
                 coupon_remain: Int, //优惠券剩余量
                 coupon_start_time: Long, //优惠券开始时间
                 coupon_end_time: Long, //优惠券结束时间
                 coupon_link: String, //优惠券链接
                 item_label: String, //商品标签
                 shop_id: String, //店铺id
                 shop_name: String, //店铺名称
                 shop_level: Double, //店铺等级
                 description_level: Double, //描述分
                 express_level: Double, //物流分
                 server_level: Double, //服务分
                 shop_type: Int, //店铺类型
                 createTime: Long //创建时间
               )





